#include "StdAfx.h"
#include "MoreInfoCommand.h"
#include "UpdaterModel.h"
#include "UpdaterDocument.h"

namespace tipupdater
{
	REGISTER_TIPACTION_CREATOR(_T("MoreInfoCommand"), MoreInfoCommand);
	BOOL MoreInfoCommand::ExecuteImpl()
	{
		UpdaterModel *model = dynamic_cast<UpdaterModel *>(GetModel());
		if( !model )
			return FALSE;

		UpdaterDocument *doc = model->GetDocument();
		if( !doc )
			return FALSE;

		doc->OpenUrlWithDefaultBrowser(m_url);
		return TRUE;
	}
};